MCP
Create a new MCP server
deprecated
Creates a new Model Control Protocol (MCP) server instance for the authenticated project. An MCP server provides a connection point for AI assistants to access your applications and services. The server is configured with specific authentication and tool permissions that determine what actions the connected assistants can perform.
POST
/
api
/
v3.1
/
mcp
/
servers
import requests
url = "https://backend.composio.dev/api/v3.1/mcp/servers"
payload = {
"name": "GitHub Integration Server",
"auth_config_ids": ["ac_1a2b3c4d5e6f"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "GitHub Integration Server",
"auth_config_ids": [
"ac_1a2b3c4d5e6f",
"ac_7g8h9i0j1k2l"
],
"allowed_tools": [
"GITHUB_CREATE_AN_ISSUE",
"GITHUB_GET_A_REPOSITORY",
"GITHUB_LIST_PULL_REQUESTS"
],
"mcp_url": "https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john",
"toolkits": [
"github",
"jira",
"slack"
],
"toolkit_icons": {
"github": "https://assets.composio.dev/logos/github.png",
"jira": "https://assets.composio.dev/logos/jira.png",
"slack": "https://assets.composio.dev/logos/slack.png"
},
"commands": {
"cursor": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor",
"claude": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude",
"windsurf": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"
},
"updated_at": "2023-06-15T14:30:00.000Z",
"created_at": "2023-06-10T09:15:00.000Z",
"server_instance_count": 5,
"managed_auth_via_composio": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Body
application/json
Request parameters for creating a new MCP server with specific authentication configuration
Response
MCP server created successfully. Returns the complete server configuration including connection details and command instructions.
MCP server configuration and connection details
import requests
url = "https://backend.composio.dev/api/v3.1/mcp/servers"
payload = {
"name": "GitHub Integration Server",
"auth_config_ids": ["ac_1a2b3c4d5e6f"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "GitHub Integration Server",
"auth_config_ids": [
"ac_1a2b3c4d5e6f",
"ac_7g8h9i0j1k2l"
],
"allowed_tools": [
"GITHUB_CREATE_AN_ISSUE",
"GITHUB_GET_A_REPOSITORY",
"GITHUB_LIST_PULL_REQUESTS"
],
"mcp_url": "https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john",
"toolkits": [
"github",
"jira",
"slack"
],
"toolkit_icons": {
"github": "https://assets.composio.dev/logos/github.png",
"jira": "https://assets.composio.dev/logos/jira.png",
"slack": "https://assets.composio.dev/logos/slack.png"
},
"commands": {
"cursor": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor",
"claude": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude",
"windsurf": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"
},
"updated_at": "2023-06-15T14:30:00.000Z",
"created_at": "2023-06-10T09:15:00.000Z",
"server_instance_count": 5,
"managed_auth_via_composio": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}